PX_READ_PRIMARY_INDEX(3)

NAME
PX_read_primary_index — Reads the primary index into an internal buffer

SYNOPSIS

#include <paradox.h>

int PX_read_primary_index(pxdoc_t *pindexdoc)

DESCRIPTION

Reads the complete primary index into an internal buffer. After calling this function successfully you usually add the index to a database file by calling PX_add_primary_index(3). Once the index is read and associated with a database file, it will be used when record data is accessed.

RETURN VALUE

Returns 0 on success and -1 on failure.

SEE ALSO

PX_add_primary_index(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.